*  FOOD PRICES   I begin with producer prices; not currently in use, but could be used to study many countries.  Below, I report consumer prices, for WAS surveys.
*  ~~~~~~~~~~~    I think it's not appropriate to combine producer prices with consumer prices.

* Could look at this website:   http://www.numbeo.com/cost-of-living/country_result.jsp?country=Argentina    .
* Could use FAO prices data:  'food price data from FAO  not yet used.xlsx'.

* Producer prices in local currency units, from FAOSTAT pricestat:  http://faostat.fao.org/site/570/DesktopDefault.aspx?PageID=570#ancor downloaded 14th Oct 2009;
* I divide by 1000 to convert from tonne to Kg.  These are 'chicken meat' for pr_meatF, and 'paddy rice' for pr_cerea.
* The FAO website says they were updated 16th Sept 2009.
*if (liveCtry='BD'	& int_year=2004)  	pr_meatF =     61.2591 .
*if (liveCtry='BD'	& int_year=2004)  	pr_cerea =        8.500 .

*if (liveCtry='BR'	& int_year=1994) 	pr_meatF =      0.766 .
*if (liveCtry='BR'	& int_year=1996) 	pr_meatF =      1.082 .
*if (liveCtry='BR'	& int_year=1994)  	pr_cerea =  	     0.128 .
*if (liveCtry='BR'	& int_year=1996)  	pr_cerea =        0.207 .

*if (liveCtry='CM' & INT_year=2009) pr_meatF =  1397.1435 .  /* THIS IS FOR 2007 (latest price available).
*if (liveCtry='CM' & INT_year=2009) pr_cerea  =    147.9832 .   /* THIS IS FOR 2007 (latest price available).

*if (liveCtry='EG' & INT_year=1995) pr_meatF =      5.960 .
*if (liveCtry='EG' & INT_year=1996) pr_meatF =      6.420 .
*if (liveCtry='EG' & INT_year=2005) pr_meatF =      8.720 . 
*if (liveCtry='EG' & INT_year=2006) pr_meatF =      8.720 . 
*if (liveCtry='EG' & INT_year=1995) pr_cerea  =      0.656 . 
*if (liveCtry='EG' & INT_year=1996) pr_cerea  =      0.703 . 
*if (liveCtry='EG' & INT_year=2005) pr_cerea  =      1.069 .
*if (liveCtry='EG' & INT_year=2006) pr_cerea  =      1.078 .

*if (liveCtry='IN' & INT_year=1992) pr_meatF =     33.246   . 
*if (liveCtry='IN' & INT_year=1997) pr_meatF =     92.505   . 
*if (liveCtry='IN' & INT_year=1998) pr_meatF =     62.527   . 
*if (liveCtry='IN' & INT_year=1999) pr_meatF =     57.624   .
*if (liveCtry='IN' & INT_year=2000) pr_meatF =     60.680   . 
*if (liveCtry='IN' & INT_year=2002) pr_meatF =     74.477   .
*if (liveCtry='IN' & INT_year=2005) pr_meatF =     70.4223 . 
*if (liveCtry='IN' & INT_year=2006) pr_meatF =     74.9293 . 
*if (liveCtry='IN' & INT_year=2007) pr_meatF =     79.5746 . 
*if (liveCtry='IN' & INT_year=1992) pr_cerea  =       3.962   . 
*if (liveCtry='IN' & INT_year=1997) pr_cerea  =       4.336   . 
*if (liveCtry='IN' & INT_year=1998) pr_cerea  =       4.940   .
*if (liveCtry='IN' & INT_year=1999) pr_cerea  =       6.224   .
*if (liveCtry='IN' & INT_year=2000) pr_cerea  =       5.960   .
*if (liveCtry='IN' & INT_year=2002) pr_cerea  =       6.0335 . 
*if (liveCtry='IN' & INT_year=2005) pr_cerea  =       6.000   .
*if (liveCtry='IN' & INT_year=2006) pr_cerea  =       6.100   .
*if (liveCtry='IN' & INT_year=2007) pr_cerea  =       6.3622 .

*if (liveCtry='ID' & INT_year=2001) pr_meatF = 12114.220   . 
*if (liveCtry='ID' & INT_year=2002) pr_meatF = 13325.000   . 
*if (liveCtry='ID' & INT_year=2003) pr_meatF = 13432.7469 . 
*if (liveCtry='ID' & INT_year=2001) pr_cerea  =   1152.740   .
*if (liveCtry='ID' & INT_year=2002) pr_cerea  =   1246.567   . 
*if (liveCtry='ID' & INT_year=2003) pr_cerea  =   1204.890   . 

*if (liveCtry='KE' & INT_year=2003) pr_meatF =   195.176   . 
*if (liveCtry='KE' & INT_year=2004) pr_meatF =   195.1763 . 
*if (liveCtry='KE' & INT_year=2003) pr_cerea  =     16.153   . 
*if (liveCtry='KE' & INT_year=2004) pr_cerea  =     26.000   . 

*if (liveCtry='NG' & INT_year=2000) pr_meatF =  142.880 . 
*if (liveCtry='NG' & INT_year=2001) pr_meatF =  294.560 . 
*if (liveCtry='NG' & INT_year=2003) pr_meatF =  271.660 . 
*if (liveCtry='NG' & INT_year=2005) pr_meatF =  362.880 . 
*if (liveCtry='NG' & INT_year=2006) pr_meatF =  357.312 . 
*if (liveCtry='NG' & INT_year=2007) pr_meatF =  446.088 . 
*if (liveCtry='NG' & INT_year=2000) pr_cerea  =    28.414 . 
*if (liveCtry='NG' & INT_year=2001) pr_cerea  =    54.930 . 
*if (liveCtry='NG' & INT_year=2003) pr_cerea  =    38.230 . 
*if (liveCtry='NG' & INT_year=2005) pr_cerea  =    71.550 . 
*if (liveCtry='NG' & INT_year=2006) pr_cerea =     65.858 . 
*if (liveCtry='NG' & INT_year=2007) pr_cerea =     55.214 . 

**if (liveCtry='TD' & INT_year=2008) pr_meatF =      .   /* CHAD IS NOT IN FAO.
**if (liveCtry='TD' & INT_year=2008) pr_cerea  =      .    /* CHAD IS NOT IN FAO.

*if (liveCtry='ZA' & INT_year=1993) pr_meatF =     5.738 . 
*if (liveCtry='ZA' & INT_year=1994) pr_meatF =     6.627 . 
*if (liveCtry='ZA' & INT_year=1995) pr_meatF =     7.135 . 
*if (liveCtry='ZA' & INT_year=1996) pr_meatF =     7.404 . 
*if (liveCtry='ZA' & INT_year=1997) pr_meatF =     8.388 . 
*if (liveCtry='ZA' & INT_year=1998) pr_meatF =     8.458 . 
*if (liveCtry='ZA' & INT_year=1999) pr_meatF =     7.908 . 
*if (liveCtry='ZA' & INT_year=2000) pr_meatF =     8.287 . 
*if (liveCtry='ZA' & INT_year=2003) pr_meatF =   11.402 . 
*if (liveCtry='ZA' & INT_year=1993) pr_cerea  =     1.260 . 
*if (liveCtry='ZA' & INT_year=1994) pr_cerea  =     1.260 . 
*if (liveCtry='ZA' & INT_year=1995) pr_cerea  =     1.320 . 
*if (liveCtry='ZA' & INT_year=1996) pr_cerea  =     1.480 . 
*if (liveCtry='ZA' & INT_year=1997) pr_cerea  =     1.579 . 
*if (liveCtry='ZA' & INT_year=1998) pr_cerea  =     1.616 . 
*if (liveCtry='ZA' & INT_year=1999) pr_cerea  =     1.616 . 
*if (liveCtry='ZA' & INT_year=2000) pr_cerea  =     1.706 . 
*if (liveCtry='ZA' & INT_year=2003) pr_cerea  =     2.535 . 




* BELOW HERE: data on consumer food prices, to be able to estimate if a household is buying enough calories.   I last updated prices on 30th March 2017.
* More prices are given in spreadsheet 'Local Currency Units to PPP.xls', created by John Simister.
*
* NOTE:
* pr_cerea:    The cereal prices below just give a rough guide - they're from different sources.  The term 'cereal' means flour, not breakfast cereal.
*	pr_dairy:     I use milk 	(rather than cheese)	to represent 'dairy products',	in sp_dairy.
*	pr_veget:    I use onion 	(rather than carrot) 	to represent 'vegetables',		in sp_veget.
*	pr_meatF:  I use chicken	(rather than beef)	to represent 'meat',		in sp_meat.
*I ignore calories from other sources - such as from 'other' spending,	    sp_other.

if (survey='1992 India') pr_cerea=   5.50 .
if (survey='1992 India') pr_veget=   3.50 .
if (survey='1992 India') pr_oil     =  41.00 .
if (survey='1992 India') pr_dairy =   8.50 .
if (survey='1992 India') pr_bread=   7.25 .
if (survey='1992 India') pr_meatF=  26.24 .
if (survey='1992 India') pr_mSnak=  91.08 .
*.
if (survey='1994 Brazil') pr_cerea=   1.13 .
if (survey='1994 Brazil') pr_veget=   0.58 .
if (survey='1994 Brazil') pr_oil     =   0.86 .
if (survey='1994 Brazil') pr_dairy =   0.59 .
if (survey='1994 Brazil') pr_bread=   1.38 .
if (survey='1994 Brazil') pr_meatF=   0.99 .
if (survey='1994 Brazil') pr_mSnak=   6.87 .
*.
if (survey='1997 India') pr_cerea=   8.33 .
if (survey='1997 India') pr_veget=   5.30 .
if (survey='1997 India') pr_oil     =  62.07 .
if (survey='1997 India') pr_dairy =  12.87 .
if (survey='1997 India') pr_bread=   9.81 .
if (survey='1997 India') pr_meatF=  39.72 .
if (survey='1997 India') pr_mSnak= 137.89 .
*.
if (survey='2000 S. Africa') pr_cerea=   2.98.
if (survey='2000 S. Africa') pr_veget=   3.50.
if (survey='2000 S. Africa') pr_oil     =   3.80.
if (survey='2000 S. Africa') pr_dairy =   2.59.
if (survey='2000 S. Africa') pr_bread=   2.86.
if (survey='2000 S. Africa') pr_meatF=   8.00.
if (survey='2000 S. Africa') pr_mSnak=  20.00.
*.
if (survey='2001 Indonesia') pr_cerea=2499.50 .
if (survey='2001 Indonesia') pr_veget=2161.91 .
if (survey='2001 Indonesia') pr_oil     =4650.00 .
if (survey='2001 Indonesia') pr_dairy =7926.99 .
if (survey='2001 Indonesia') pr_bread=7107.14 .
if (survey='2001 Indonesia') pr_meatF=11250.00 .
if (survey='2001 Indonesia') pr_mSnak=49465.48 .
*.
if (survey='2002 Indonesia') pr_cerea=2601.35 .
if (survey='2002 Indonesia') pr_veget=2250.00 .
if (survey='2002 Indonesia') pr_oil     =4839.48 .
if (survey='2002 Indonesia') pr_dairy =8250.00 .
if (survey='2002 Indonesia') pr_bread=7396.75 .
if (survey='2002 Indonesia') pr_meatF=11708.42 .
if (survey='2002 Indonesia') pr_mSnak=51481.13 .
*.
if (survey='2002 India') pr_cerea=  11.19 .
if (survey='2002 India') pr_veget=   5.80 .
if (survey='2002 India') pr_oil     =  55.96 .
if (survey='2002 India') pr_dairy =  19.03 .
if (survey='2002 India') pr_bread=  11.25 .
if (survey='2002 India') pr_meatF=  58.73 .
if (survey='2002 India') pr_mSnak= 172.00 .
*.
if (survey='2003 Nigeria') pr_cerea=  73.45 .
if (survey='2003 Nigeria') pr_veget=  84.20 .
if (survey='2003 Nigeria') pr_oil     = 201.87 .
if (survey='2003 Nigeria') pr_dairy = 327.70 .
if (survey='2003 Nigeria') pr_bread= 137.76 .
if (survey='2003 Nigeria') pr_meatF= 257.64 .
if (survey='2003 Nigeria') pr_mSnak= 150.00 .
*.
if (survey='2004 Kenya') pr_cerea=  45.77 .
if (survey='2004 Kenya') pr_veget=  12.16 .
if (survey='2004 Kenya') pr_oil     = 105.66 .
if (survey='2004 Kenya') pr_dairy =  28.62 .
if (survey='2004 Kenya') pr_bread=  27.76 .
if (survey='2004 Kenya') pr_meatF= 140.32 .
if (survey='2004 Kenya') pr_mSnak= 150.00 .
*.
if (survey='2005 Nigeria') pr_cerea=  93.62 .
if (survey='2005 Nigeria') pr_veget=  65.16 .
if (survey='2005 Nigeria') pr_oil     = 142.74 .
if (survey='2005 Nigeria') pr_dairy = 366.41 .
if (survey='2005 Nigeria') pr_bread= 164.85 .
if (survey='2005 Nigeria') pr_meatF= 294.56 .
if (survey='2005 Nigeria') pr_mSnak= 213.08 .
*.
if (survey='2005-6 Egypt') pr_cerea=   2.75 .
if (survey='2005-6 Egypt') pr_veget=   1.63 .
if (survey='2005-6 Egypt') pr_oil     =   6.42 .
if (survey='2005-6 Egypt') pr_dairy =   3.13 .
if (survey='2005-6 Egypt') pr_bread=   4.00 .
if (survey='2005-6 Egypt') pr_meatF=   9.38 .
if (survey='2005-6 Egypt') pr_mSnak=   3.75 .
*.
if (survey='2007 India') pr_cerea=  13.15 .
if (survey='2007 India') pr_veget=   7.63 .
if (survey='2007 India') pr_oil     =  62.75 .
if (survey='2007 India') pr_dairy =  23.59 .
if (survey='2007 India') pr_bread=  12.06 .
if (survey='2007 India') pr_meatF=  72.82 .
if (survey='2007 India') pr_mSnak=  63.00 .
*.
* Prices collected by Cible Ltd, in 'Local Currency Units to PPP.xls': .
if (survey='2008 Chad') pr_cerea= 973.00 .
if (survey='2008 Chad') pr_veget=1172.00 .
if (survey='2008 Chad') pr_oil     =1150.00 .
if (survey='2008 Chad') pr_dairy = 250.00 .
if (survey='2008 Chad') pr_bread= 625.00 .
if (survey='2008 Chad') pr_meatF= 780.00 .
if (survey='2008 Chad') pr_mSnak= 586.00 .
*.
* Prices collected by Cible Ltd, in 'Local Currency Units to PPP.xls': .
if (survey='2009 Cameroon') pr_cerea= 380.00 .
if (survey='2009 Cameroon') pr_veget= 240.00 .
if (survey='2009 Cameroon') pr_oil     =1258.00 .
if (survey='2009 Cameroon') pr_dairy =1280.00 .
if (survey='2009 Cameroon') pr_bread= 750.00 .
if (survey='2009 Cameroon') pr_meatF=1500.00 .
if (survey='2009 Cameroon') pr_mSnak= 586.00 .

* Prices collected by Cible Ltd, in 'Local Currency Units to PPP.xls': .
if (survey='2011 CongoBraz') pr_cerea= 556.25 .
if (survey='2011 CongoBraz') pr_veget= 228.57 .
if (survey='2011 CongoBraz') pr_oil     =1206.25 .
if (survey='2011 CongoBraz') pr_dairy =1350.00 .
if (survey='2011 CongoBraz') pr_bread= 906.25 .
if (survey='2011 CongoBraz') pr_meatF=1504.17 .
if (survey='2011 CongoBraz') pr_mSnak=3666.67 .

* From 'India 2012 prices-final.xls': .
if (survey='2012 India') pr_cerea   =   34.00 .   /* I use rice as the cereal price.
if (survey='2012 India') pr_veget   =   19.73 .  /* This is potato (onions are 20.81 and tomatoes are 23.00 and bhindi or other green vegetable are  33.18).
if (survey='2012 India') pr_oil         =   92.64 .
if (survey='2012 India') pr_dairy    =   35.82 .
if (survey='2012 India') pr_bread  =   32.83 .
if (survey='2012 India') pr_meatF = 173.55 .  /* This is the price of fish;  178.18 for	chicken (fresh & boneless).
if (survey='2012 India') pr_mSnak=    44.30 .
*.
*.
* The next adjustment controls for different prices in various parts of Nigeria (INT_year=2003 or 2005).
if (liveCnty='NG 9') PPPregio = 1.06 .	
if (liveCnty='NG27') PPPregio = 1.00 .	
if (liveCnty='NG28') PPPregio = 1.04 .	
if (liveCnty='NG10') PPPregio = 1.07 .	
if (liveCnty='NG11') PPPregio = 1.01 .	
if (liveCnty='NG29') PPPregio = 0.93 .	
if (liveCnty='NG30') PPPregio = 0.95 .	
if (liveCnty='NG31') PPPregio = 0.96 .	
if (liveCnty='NG12') PPPregio = 1.09 .	
if (liveCnty='NG13') PPPregio = 1.14 .	
if (liveCnty='NG 5') PPPregio = 1.05 .	
if (liveCnty='NG14') PPPregio = 1.01 .	
if (liveCnty='NG15') PPPregio = 1.11 .	
if (liveCnty='NG32') PPPregio = 0.93 .	
if (liveCnty='NG19') PPPregio = 0.95 .	
if (liveCnty='NG20') PPPregio = 0.90 .	
if (liveCnty='NG21') PPPregio = 0.99 .	
if (liveCnty='NG22') PPPregio = 1.01 .	
if (liveCnty='NG23') PPPregio = 1.01 .	
if (liveCnty='NG 7') PPPregio = 0.89 .	
if (liveCnty='NG 1') PPPregio = 0.97 .	
if (liveCnty='NG24') PPPregio = 0.96 .	
if (liveCnty='NG 2') PPPregio = 0.94 .	
if (liveCnty='NG 3') PPPregio = 0.96 .	
if (liveCnty='NG 4') PPPregio = 0.90 .	
if (liveCnty='NG 8') PPPregio = 1.14 .	
if (liveCnty='NG33') PPPregio = 1.00 .	
if (liveCnty='NG16') PPPregio = 1.22 .	
if (liveCnty='NG25') PPPregio = 0.92 .	
if (liveCnty='NG34') PPPregio = 0.96 .	
if (liveCnty='NG35') PPPregio = 0.94 .	
if (liveCnty='NG17') PPPregio = 1.18 .	
if (liveCnty='NG 6') PPPregio = 0.90 .	
if (liveCnty='NG18') PPPregio = 0.95 .	
if (liveCnty='NG37') PPPregio = 0.97 .	
if (liveCnty='NG36') PPPregio = 0.91 .	
if (liveCnty='NG26') PPPregio = 1.08 .	
*.
if (liveCtry='NG' & pr_cerea   >0) pr_cerea	  =pr_cerea	  * PPPregio.
if (liveCtry='NG' & pr_veget	   >0) pr_veget 	 =pr_veget	  * PPPregio.
if (liveCtry='NG' & pr_oil       	>0) pr_oil       	=pr_oil    	  * PPPregio.
if (liveCtry='NG' & pr_dairy   	>0) pr_dairy 	  =pr_dairy	   * PPPregio.
if (liveCtry='NG' & pr_bread	  >0) pr_bread	  =pr_bread	  * PPPregio.
if (liveCtry='NG' & pr_meatF	 >0) pr_meatf  	=pr_meatf	  * PPPregio.
if (liveCtry='NG' & pr_mSnak	>0) pr_mSnak	=pr_mSnak	* PPPregio.


* Work out number of calories per day bought by each hh, from Calories per lb in World Bank website: www.worldbank.org/html/prdph/lsms/country/pan97/docs/poveng.pdf, downloaded 15th November 2003: p.5.
* The above document now seems to be saved at:    http://siteresources.worldbank.org/INTLSMS/Resources/3358986-1181743055198/3877319-1181911180171/poveng.pdf  on 26th June 2010. But no protein data.
*                                                                                 				          [  convert 	]  [     Kg bought	         ]  	[calories per Kg;  ]
*			ca_ is short                                                                      	    [ monthly 	]  [                           		] 	 [ (note there are   ]
*			for calories	                                                                           [  to daily 	]  [	                           	]  	[ 2.2 pounds/Kg)  ].
*if  (sp_cerea	 >-1)                                                  			ca_cerea	 = (12/365)	*  (sp_cerea    / pr_cerea) *	(2.2  * 1634 ).
*if  (sp_veget	 >-1)	                         	                         		ca_veget	 = (12/365)	*  (sp_veget	   / pr_veget) 	*	(2.2  *   100 ).
*if  (sp_bread  >-1)                                                    	ca_bread	 = (12/365)	*  (sp_bread	   / pr_bread)	*	(2.2  * 1279 ).
*if  (survey='1994 Brazil')		                                           ca_bread	 = (12/365)	*  (sp_br_mi	  / pr_bread) 	*	(2.2  * 1279 ).
*if  (survey='2002 India' & sp_oilbr>-1)                         	ca_bread  = (12/365) *  (sp_oilBr	    / pr_bread) 	*	(2.2  * 1279 ).
*if  (survey='2005-6 Egypt')	                                        	ca_bread	 = (12/365)	*  (sp_cereB	  / pr_bread) 	* (2.2  * 1279 ).
*if  (sp_oil	      >-1)		                                                   ca_oil     	 = (12/365)	*  (sp_oil       	/ pr_oil )     	* (2.2  * 4013 ).
*if  (sp_dairy	  >-1)		                                                   ca_dairy	   = (12/365)	*  (sp_dairy	   / pr_dairy)  	* (2.2  *   261 ).
*if  (sp_meatF	>-1)		                                                   ca_meatF	= (12/365)	*  (sp_meatF 	/ pr_meatF)	* (2.2  *   625 ).
*if  (sp_mSnak>-1)		                                                   ca_mSnak= (12/365)	*  (sp_mSnak	/ pr_mSnak)* (470+292).
* Last line uses calories in McDonalds burger+fries, downloaded Dec2003: www.mcdonaldsindia.com/calchart.
*
* Alternative version, based on 'nutrient values of some common foods.pdf': .
if  (sp_cerea	 >-1)                                                  			ca_cerea	 = (12/365)	*  (sp_cerea    / pr_cerea) *	( 115 / .103 ). /* "Rice, brown, long-grain, cooked".
if  (sp_cerea	 >-1)                                                  			Procerea	 = (12/365)	*  (sp_cerea    / pr_cerea) *	(     3 / .103 ). /* "Rice, brown, long-grain, cooked".

if  (sp_veget	 >-1)	                         	                         		ca_veget	 = (12/365)	*  (sp_veget	   / pr_veget) 	*	( 129 / .150 ). /* "Potato, boiled, flesh and skin".
if  (sp_veget	 >-1)	                         	                         		Proveget	 = (12/365)	*  (sp_veget	   / pr_veget) 	*	(     3 / .150 ). /* "Potato, boiled, flesh and skin".

if  (sp_bread  >-1)                                                    	ca_bread	 = (12/365)	*  (sp_bread	   / pr_bread)	*	(  93 / .035 ). /* "Bread, white, commercial".
if  (sp_bread  >-1)                                                    	Probread	 = (12/365)	*  (sp_bread	   / pr_bread)	*	(    3 / .035 ). /* "Bread, white, commercial".

if  (survey='1994 Brazil')		                                           ca_bread	 = (12/365)	*  (sp_br_mi	  / pr_bread) 	*	(  93 / .035 ).
if  (survey='1994 Brazil')		                                           Probread	 = (12/365)	*  (sp_br_mi	  / pr_bread) 	*	(    3 / .035 ).

if  (survey='2002 India' & sp_oilbr>-1)                         	ca_bread  = (12/365) *  (sp_oilBr	    / pr_bread) 	*	(  93 / .035 ).
if  (survey='2002 India' & sp_oilbr>-1)                         	Probread  = (12/365) *  (sp_oilBr	    / pr_bread) 	*	(    3 / .035 ).

if  (survey='2005-6 Egypt')	                                        	ca_bread	 = (12/365)	*  (sp_cereB	  / pr_bread) 	* (  93 / .035 ).
if  (survey='2005-6 Egypt')	                                        	Probread	 = (12/365)	*  (sp_cereB	  / pr_bread) 	* (    3 / .035 ).

if  (sp_oil	      >-1)		                                                   ca_oil     	 = (12/365)	*  (sp_oil       	/ pr_oil )     	* ( 122 / .014). /* "Oils:  Sunflower".
if  (sp_oil	      >-1)		                                                   Prooil     	 = (12/365)	*  (sp_oil       	/ pr_oil )     	* (     0 / .014). /* "Oils:  Sunflower".

if  (sp_dairy	  >-1)		                                                   ca_dairy	   = (12/365)	*  (sp_dairy	   / pr_dairy)  	* ( 155 / .258 ). /* "Milk, whole, 3.3% M.F.".
if  (sp_dairy	  >-1)		                                                   Prodairy	   = (12/365)	*  (sp_dairy	   / pr_dairy)  	* (     8 / .258 ). /* "Milk, whole, 3.3% M.F.".

if  (sp_meatF	>-1)		                                                   ca_meatF	= (12/365)	*  (sp_meatF 	/ pr_meatF)	* ( 153 / .075). /* "Chicken, ground, lean, cooked".
if  (sp_meatF	>-1)		                                                   PromeatF	= (12/365)	*  (sp_meatF 	/ pr_meatF)	* (   16 / .075). /* "Chicken, ground, lean, cooked".

if  (sp_mSnak>-1)		                                                   ca_mSnak= (12/365)	*  (sp_mSnak	/ pr_mSnak)* ( 319        ). /* "Cheeseburger, single patty, plain".
if  (sp_mSnak>-1)		                                                   PromSnak= (12/365)	*  (sp_mSnak	/ pr_mSnak)* (   15        ). /* "Cheeseburger, single patty, plain".

* Could add more spending categories to the above list (e.g. sp_fruit, sp_insta).
* Deal with inconsistencies between surveys (e.g. spending on dairy products wasn't asked in Nigeria - it's above): .
if (survey='1994 Brazil'      or survey='2003 Nigeria'   or survey='2005 Nigeria' or survey='2008 Chad' or survey='2009 Cameroon')	ca_dairy   	= 0.
if (survey='1994 Brazil'      or survey='2000 S. Africa' or survey='2002 India')    		ca_oil       	= 0.
if (survey='2001 Indonesia'	or survey='2002 Indonesia')       	                         			ca_bread  	= 0.
if (survey='2001 Indonesia'	or survey='2002 Indonesia')       	                         			ca_mSnak	= 0.
if (survey='2005-6 Egypt')                                                 	                         		ca_cerea   	= 0.

if (survey='1994 Brazil'      or survey='2003 Nigeria'   or survey='2005 Nigeria' or survey='2008 Chad' or survey='2009 Cameroon')	Prodairy   	= 0.
if (survey='1994 Brazil'      or survey='2000 S. Africa' or survey='2002 India')   	 	Prooil       	= 0.
if (survey='2001 Indonesia'	or survey='2002 Indonesia')       	                         			Probread  	= 0.
if (survey='2001 Indonesia'	or survey='2002 Indonesia')       	                         			PromSnak	= 0.
if (survey='2005-6 Egypt')                                                 	                         		Procerea   	= 0.

* For Indonesia, could estimate calories more accurately (e.g. calculate calories of fish & meat separately).
* To give a clear comparison, calculate calories per person (e.g. I seem to recall there are more adults per hhold in LSMS than in the other surveys).
*compute   	ca_total = ca_cerea+ca_veget+ca_bread+ca_oil+ca_dairy+ca_meatf +ca_mSnak.
*breakd                 		   ca_cerea  ca_veget  ca_bread  ca_oil  ca_dairy  ca_meatf   ca_mSnak   by survey/cells mean.

* Problem 1: 	above line shows Indonesia consume about 10% of calories in other countries; I think it's caused by the
*	                 	prices I use, which I collected in Jakarta (i.e. the capital, which is more expensive than rest of Indonesia).
* Solution:	    don't use ID data for ca_ variables.  Could remove the next 8 lines, if I get better prices data for Indonesia.
if (survey='2001 Indonesia' or survey='2002 Indonesia')		ca_cerea 	 = -99.
if (survey='2001 Indonesia' or survey='2002 Indonesia')		ca_veget  	 = -99.
if (survey='2001 Indonesia' or survey='2002 Indonesia')		ca_bread  	= -99.
if (survey='2001 Indonesia' or survey='2002 Indonesia')		ca_oil      	 = -99.
if (survey='2001 Indonesia' or survey='2002 Indonesia')		ca_dairy	   = -99.
if (survey='2001 Indonesia' or survey='2002 Indonesia')		ca_meatF	 = -99.
if (survey='2001 Indonesia' or survey='2002 Indonesia')		ca_mSnak	= -99.
recode	    ca_cerea ca_veget ca_bread ca_oil ca_dairy ca_meatf 	ca_mSnak ( -99 = sysmis).
if (survey='2001 Indonesia' or survey='2002 Indonesia')		Procerea 	 = -99.
if (survey='2001 Indonesia' or survey='2002 Indonesia')		Proveget  	 = -99.
if (survey='2001 Indonesia' or survey='2002 Indonesia')		Probread  	= -99.
if (survey='2001 Indonesia' or survey='2002 Indonesia')		Prooil      	 = -99.
if (survey='2001 Indonesia' or survey='2002 Indonesia')		Prodairy	   = -99.
if (survey='2001 Indonesia' or survey='2002 Indonesia')		PromeatF	 = -99.
if (survey='2001 Indonesia' or survey='2002 Indonesia')		PromSnak	= -99.
recode	     Procerea Proveget Probread Prooil Prodairy Promeatf 	PromSnak ( -99 = sysmis).

* Problem 2: 	there's much missing data for ca_mSnak (especially Brazil), and it affects data: compare  breakd caRtotal  above & below.
* Solution:    	Exclude calories from restaurant meals & snack (they're only about 1% of total calories, anyway).
*compute   	ca_total = ca_cerea+ca_veget+ca_bread+ca_oil+ca_dairy+ca_meatf+ca_mSnak.	/* Including ca_dairy and also ca_mSnak.
compute   	ca_total = ca_cerea+ca_veget+ca_bread+ca_oil+ca_dairy+ca_meatf.	                 	/* Including ca_dairy,  but not ca_mSnak.
compute   	Prototal =  Procerea+Proveget+Probread+Prooil+Prodairy+Promeatf.	                  	/* Including ca_dairy,  but not ca_mSnak.
var label     	ca_total  'Calories purchased: estimate based on household food spending'.
var label     	Prototal    'Protein purchased: estimate based on household food spending'.
*
* Note:	  	I assume above that all dairy spending is on milk;  but I guess other types of dairy products (e.g. 'lassi', i.e. yoghurt) are less
*		efficient ways to buy calories (i.e. fewer calories per Rupee or other currency).  Also, many adults (not just in India) can't digest milk.
*		Could ignore calories from dairy products, and assume all calories come from other sources (e.g. cereals).
compute 	prRtotal	    = (Prototal 	    / Prorequi) *100.				/* %.
compute 	caRtotal	   = (ca_total 	    / ca_requi) *100.				/* %.
*compute	caRcerea	  = (ca_cerea   	/ ca_requi) *100.				/* %.
*compute	caRveget	   = (ca_veget 	  / ca_requi) *100.				/* %.
*compute	caRbread	  = (ca_bread    / ca_requi) *100.				/* %.
*compute	caRoil        = (ca_oil   	    / ca_requi) *100.				/* %.
*compute	caRdairy	   = (ca_dairy 	   / ca_requi) *100.				/* %.
*compute	caRmeatF	 = (ca_meatF 	/ ca_requi) *100.				/* %.
*compute	caRmSnak	= (ca_mSnak	/ ca_requi) *100.				/* %.
*breakd  	caRtotal	   caRcerea  caRveget  caRbread  caRoil caRdairy caRmeatf   caRmSnak  by liveCtry by survey/cells mean.
*breakd  	caRtotal  by skipMeal by survey.					/* In India 2007, get over 100% of calories even if 'almost every month'; seems to be an error.

formats   ca_cerea ca_veget ca_bread ca_oil ca_dairy ca_meatf   ca_total  ca_requi caRtotal (f4.0).
formats   Procerea Proveget  Probread Prooil Prodairy Promeatf    Prototal  Prorequi  prRtotal (f4.0).

* Next 2 lines show a dramatic difference between WAS surveys and data on web (UNstats, etc).  I can't see a mistake.
*compute	zzzCalPC = ca_total/n_people.
*breakd	   zzzCalPC by survey.

* Could call a household 'underfed' if it buys (e.g.) 80% of needs: some calorie sources aren't in above calculation (e.g. fruit), so underFed overstates a nutrition problem.  
* There is no way to know if each household member gets a fair share of his/her household's food  - so variable 'underFed' tends to understate the undernutrition problem.
*compute	underFed =  ( ca_total / ca_requi ).
*recode	   underFed (1.00   thru hi= 0)(0 thru 1.00  	= 1).	/*one version:	hungry if buy under 100% of needs.
**recode  	underFed (0.80   thru hi= 0)(0 thru 0.80  	= 1).	/* Alternative:	hungry if buy under   80% of needs.
*var lab 	   underFed "Does the household buy enough food to meet calorie needs?".
*val lab   	 underFed 0'Short of calories' 1 'Sufficient calories'.
*breakd	   underFed.
