* This file is called (once for each person in hhold) from 'food prices.sps'.
* Source (mainly based on UK/USA data): NHMRC (2006), 'Nutrient Reference Values for Australia and New Zealand Including Recommended Dietary Intakes', Australian National Health and Medical Research Council,
* http://www.nrv.gov.au/_resources/n35-dietaryenergy.pdf downloaded 25 Oct 2008.  Assumes PAL 1.6='Light activity':  see 'calorie needs.xls' for calculations.
* http://www.nrv.gov.au/resources/_files/n35-dietaryenergy.pdf seems to be the same document, on 4th Oct 2009.
compute		        cal_need= -99.
recode   		      cal_need ( -99 = sysmis).		/* Otherwise, remembers cal_need from an earlier person (if age or sex missing).
*.
if (pNsex=0 & (pNage=  0)         )  cal_need=645.93 .
if (pNsex=0 & (pNage=  1)         )  cal_need=956.93 .
if (pNsex=0 & (pNage=  2)         )  cal_need=1148.32 .
if (pNsex=0 & (pNage=  3)         )  cal_need=1339.71 .
if (pNsex=0 & (pNage=  4)         )  cal_need=1411.48 .
if (pNsex=0 & (pNage=  5)         )  cal_need=1483.25 .
if (pNsex=0 & (pNage=  6)         )  cal_need=1578.94 .
if (pNsex=0 & (pNage=  7)         )  cal_need=1674.64 .
if (pNsex=0 & (pNage=  8)         )  cal_need=1746.41 .
if (pNsex=0 & (pNage=  9)         )  cal_need=1866.02 .
if (pNsex=0 & (pNage=10)         )  cal_need=1985.64 .
if (pNsex=0 & (pNage=11)         )  cal_need=2105.26 .
if (pNsex=0 & (pNage=12)         )  cal_need=2224.88 .
if (pNsex=0 & (pNage=13)         )  cal_need=2392.34 .
if (pNsex=0 & (pNage=14)         )  cal_need=2535.88 .
if (pNsex=0 & (pNage=15)         )  cal_need=2679.42 .
if (pNsex=0 & (pNage=16)         )  cal_need=2822.96 .
if (pNsex=0 & (pNage=17)         )  cal_need=2918.66 .
if (pNsex=0 & (pNage=18)         )  cal_need=2990.43 .
if (pNsex=0 & (pNage>18 & pNage<31))  cal_need=2822.96 .
if (pNsex=0 & (pNage>30 & pNage<51))  cal_need=2703.34 .
if (pNsex=0 & (pNage>50 & pNage<71))  cal_need=2488.03 .
if (pNsex=0 & (pNage>70)         )  cal_need=2272.72 .
*.
if (pNsex=1 & (pNage=  0)         )  cal_need=598.08 .
if (pNsex=1 & (pNage=  1)         )  cal_need=909.09 .
if (pNsex=1 & (pNage=  2)         )  cal_need=1100.47 .
if (pNsex=1 & (pNage=  3)         )  cal_need=1267.94 .
if (pNsex=1 & (pNage=  4)         )  cal_need=1315.78 .
if (pNsex=1 & (pNage=  5)         )  cal_need=1363.63 .
if (pNsex=1 & (pNage=  6)         )  cal_need=1459.33 .
if (pNsex=1 & (pNage=  7)         )  cal_need=1555.02 .
if (pNsex=1 & (pNage=  8)         )  cal_need=1650.71 .
if (pNsex=1 & (pNage=  9)         )  cal_need=1746.41 .
if (pNsex=1 & (pNage=10)         )  cal_need=1818.18 .
if (pNsex=1 & (pNage=11)         )  cal_need=1913.87 .
if (pNsex=1 & (pNage=12)         )  cal_need=2033.49 .
if (pNsex=1 & (pNage=13)         )  cal_need=2129.18 .
if (pNsex=1 & (pNage=14)         )  cal_need=2200.95 .
if (pNsex=1 & (pNage=15)         )  cal_need=2248.8 .
if (pNsex=1 & (pNage=16)         )  cal_need=2272.72 .
if (pNsex=1 & (pNage=17)         )  cal_need=2296.65 .
if (pNsex=1 & (pNage=18)         )  cal_need=2320.57 .
if (pNsex=1 & (pNage>18 & pNage<31))  cal_need=2296.65 .
if (pNsex=1 & (pNage>30 & pNage<51))  cal_need=2177.03 .
if (pNsex=1 & (pNage>50 & pNage<71))  cal_need=2081.33 .
if (pNsex=1 & (pNage>70)         )  cal_need=1985.64 .
*.
* Husband may be younger than wife;  but for ca_requi_u24 & ca_requi_u21 & ca_requi_u18 & ca_requi_u16, I don't want to include husband's calorie needs.
if 	(pNage<24	 & pNage<age_hus	& cal_need>0)	ca_requi_u24 	= ca_requi_u24	 + cal_need.
if 	(pNage<21	 & pNage<age_hus	& cal_need>0)	ca_requi_u21 	= ca_requi_u21	 + cal_need.
if 	(pNage<18	 & pNage<age_hus	& cal_need>0)	ca_requi_u18 	= ca_requi_u18	 + cal_need.
if 	(pNage<16	 & pNage<age_hus	& cal_need>0)	ca_requi_u16 	= ca_requi_u16	 + cal_need.
*if (pNage<120	& pNage<age_hus	& cal_need>0)	ca_requi 	      = ca_requi 	       + cal_need. /* I used this line until 17th Sept 2009, but I think it contains a mistake:  use next line instead. 
if 	(pNage<120                           	& cal_need>0)	ca_requi        	= ca_requi 	       + cal_need.


* Protein requirements, from http://whqlibdoc.who.int/trs/WHO_TRS_935_eng.pdf table 47 (=p.244), downloaded 26 Sept 2009: .
if (pNsex=0 &  pNage=  0                     )  pro_need= 10.2 .
if (pNsex=0 &  pNage=  1                     )  pro_need= 11.6 .
if (pNsex=0 &  pNage=  2                     )  pro_need= 11.9 .
if (pNsex=0 &  pNage=  3                     )  pro_need= 13.1 .
if (pNsex=0 & (pNage>  3 & pNage<  7) )  pro_need= 17.1 .
if (pNsex=0 & (pNage>  6 & pNage<11) )  pro_need= 25.9 .
if (pNsex=0 & (pNage>10 & pNage<15) )  pro_need= 40.5 .
if (pNsex=0 & (pNage>14 & pNage<19) )  pro_need= 57.9 .
if (pNsex=0 &  pNage>18                     )  pro_need=    57.9 .  /* I can't see a figure for adults, so I assume same as 15-18.

if (pNsex=1 &  pNage=  0                     )  pro_need=   9.4 .
if (pNsex=1 &  pNage=  1                     )  pro_need= 10.8 .
if (pNsex=1 &  pNage=  2                     )  pro_need= 11.4 .
if (pNsex=1 &  pNage=  3                     )  pro_need= 12.7 .
if (pNsex=1 & (pNage>  3 & pNage<  7) )  pro_need= 16.2 .
if (pNsex=1 & (pNage>  6 & pNage<11) )  pro_need= 26.2 .
if (pNsex=1 & (pNage>10 & pNage<15) )  pro_need= 41.0 .
if (pNsex=1 & (pNage>14 & pNage<19) )  pro_need= 47.4 .
if (pNsex=1 &  pNage>18                     )  pro_need=    47.4 .  /* I can't see a figure for adults, so I assume same as 15-18.

*if 	(pNage<120                	& cal_need>0)	proRequi        	= proRequi 	       + pro_need. /* I used this line until 7 Sep 2010, but next line seems better.
if 	(pNage<120                	& pro_need>0)	proRequi        	= proRequi 	       + pro_need.
